package com.ctl.validationclient.model;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

public class DBAuthentication implements Authentication {

	@NotNull(message="User Name cannot be null")
	private String userName;
	
	@Min(value=5)
	@NotNull(message="Password cannot be null")
	private String password;
	
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	public String getPassword() {
		return password;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}


}
