package com.ctl.validation.util;

import java.util.List;

public class ValidationException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private List<ViolationDetail> violationDetails;
	
	public ValidationException() {
		
	}
	
	public ValidationException(List<ViolationDetail> details) {
		this.violationDetails = details;
	}

	public List<ViolationDetail> getViolationDetails() {
		return violationDetails;
	}
	
	

}
